## visad.data.units
Class SimpleCharStream

    java.lang.Object
      visad.data.units.SimpleCharStream

public class SimpleCharStream
extends Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`(package private) int` `available`
`protected int[]` `bufcolumn`
`protected char[]` `buffer`
`protected int[]` `bufline`
`int` `bufpos`
`(package private) int` `bufsize`
`protected int` `column`
`protected int` `inBuf`
`protected Reader` `inputStream`
`protected int` `line`
`protected int` `maxNextCharInd`
`protected boolean` `prevCharIsCR`
`protected boolean` `prevCharIsLF`
`static boolean` `staticFlag`
`(package private) int` `tokenBegin`

Constructor Summary
`SimpleCharStream(InputStream dstream)`
`SimpleCharStream(InputStream dstream, int startline, int startcolumn)`
`SimpleCharStream(InputStream dstream, int startline, int startcolumn, int buffersize)`
`SimpleCharStream(Reader dstream)`
`SimpleCharStream(Reader dstream, int startline, int startcolumn)`
`SimpleCharStream(Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`void` `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` `backup(int amount)`
`char` `BeginToken()`
`void` `Done()`
`protected void` `ExpandBuff(boolean wrapAround)`
`protected void` `FillBuff()`
`int` `getBeginColumn()`
`int` `getBeginLine()`
`int` `getColumn()` Deprecated.
`int` `getEndColumn()`
`int` `getEndLine()`
`String` `GetImage()`
`int` `getLine()` Deprecated.
`char[]` `GetSuffix(int len)`
`char` `readChar()`
`void` `ReInit(InputStream dstream)`
`void` `ReInit(InputStream dstream, int startline, int startcolumn)`
`void` `ReInit(InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` `ReInit(Reader dstream)`
`void` `ReInit(Reader dstream, int startline, int startcolumn)`
`void` `ReInit(Reader dstream, int startline, int startcolumn, int buffersize)`
`protected void` `UpdateLineColumn(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

See Also:
  Constant Field Values

### bufsize

    int bufsize

### available

    int available

### tokenBegin

    int tokenBegin

### bufpos

    public int bufpos

### bufline

    protected int[] bufline

### bufcolumn

    protected int[] bufcolumn

### column

    protected int column

### line

    protected int line

### prevCharIsCR

    protected boolean prevCharIsCR

### prevCharIsLF

    protected boolean prevCharIsLF

### inputStream

    protected Reader inputStream

### buffer

    protected char[] buffer

### maxNextCharInd

    protected int maxNextCharInd

### inBuf

    protected int inBuf

Constructor Detail

### SimpleCharStream

    public SimpleCharStream(Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(Reader dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(Reader dstream)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(InputStream dstream)

Method Detail

### ExpandBuff

    protected void ExpandBuff(boolean wrapAround)

### FillBuff

    protected void FillBuff()
                     throws IOException

  Throws:
    `IOException`

### BeginToken

    public char BeginToken()
                    throws IOException

  Throws:
    `IOException`

### UpdateLineColumn

    protected void UpdateLineColumn(char c)

### readChar

    public char readChar()
                  throws IOException

  Throws:
    `IOException`

### getColumn

    public int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public int getEndColumn()

### getEndLine

    public int getEndLine()

### getBeginColumn

    public int getBeginColumn()

### getBeginLine

    public int getBeginLine()

### backup

    public void backup(int amount)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(Reader dstream)

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(InputStream dstream)

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn)

### GetImage

    public String GetImage()

### GetSuffix

    public char[] GetSuffix(int len)

### Done

    public void Done()

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine,
                                      int newCol)

  Method to adjust line and column numbers for the start of a token.